Bug 128810 - Logitech USB keyboard unreliably detected
Logitech USB keyboard unreliably detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2004-07-29 16:33 EDT by Bernie Innocenti
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2004-07-29 16:33:54 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux 
2.6.7-1.494custom; X11; i686; , en) (KHTML, like Gecko) 
 
Description of problem: 
I have a Logitech Navigator keyboard with 
an embedded mouse wheel (the keyboard is 
really *two* USB devices hooked together). 
 
There appears to be a race condition in the 
usbhid module because very often the keyboard 
doesn't get detected at boot time (see dmesg 
output in "Actual Results"). 
 
I can usually fix this by hooking a PS2 kbd 
and typing "rmmod usbhid; modprobe usbhid". 
Sometimes I need to do this twice or even 
three times.  When the keyboard works, I get 
the dmesg output shown in "Expected Results" 
(see below). 
 
I sometimes successfully recovered also by 
unplugging and re-plugging the keyboard, but 
this trick appears to have stopped working 
with the latest kernels. 
 
The first time I've seen this bug is when 
I switched my motherboard to an Abit AN7 
(nForce2 chipset).  I was probably using 
kernel 2.6.1 or 2.6.2 at the time, so it's 
not a new bug. 
 
 
Version-Release number of selected component (if applicable): 
kernel-2.6.7-1.494 
 
How reproducible: 
Sometimes 
 
Steps to Reproduce: 
1.Boot with USB keyboard connected 
2. 
3. 
     
 
Actual Results:  usbhid: probe of 2-1:1.0 failed with error -5 
input: USB HID v1.10 Mouse [Logitech Logitech USB Keyboard] on 
usb-0000:00:02.0-1 
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on 
usb-0000:00:02.0-2 
 
 
 
Expected Results:  usbcore: deregistering driver hiddev 
usbcore: deregistering driver usbhid 
usbcore: registered new driver hiddev 
input: USB HID v1.10 Keyboard [Logitech Logitech USB Keyboard] on 
usb-0000:00:02.0-1 
input: USB HID v1.10 Mouse [Logitech Logitech USB Keyboard] on 
usb-0000:00:02.0-1 
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on 
usb-0000:00:02.0-2 
usbcore: registered new driver usbhid 
drivers/usb/input/hid-core.c: v2.0:USB HID core driver 
 
 
Additional info:
Comment 1 Dave Jones 2005-10-05 20:27:13 EDT
any success with the current kernels ?
Comment 2 John Thacker 2006-05-04 08:58:31 EDT
No response, closing.
Comment 3 Bernie Innocenti 2006-05-05 04:12:18 EDT
Sorry for not answering before.

Yes, the USB keyboard is now always detected corretly.

Note You need to log in before you can comment on or make changes to this bug.